import { ObjectBase } from '@awesome-nodes/object/data';
import { IEquatable } from '@yukawa/chain-base-angular-client';
import { ChainKey, Change, Info, Owner } from '@yukawa/chain-base-angular-domain';
import { User } from '@yukawa/chain-main-angular-core';
import { GroupContext } from '@yukawa/chain-security-angular-core';
import { Account } from './Account';
import { Person } from './Person';
export declare class UserInfo extends ObjectBase implements Required<User>, IEquatable<UserInfo> {
    static readonly empty: UserInfo;
    private _key?;
    private _info?;
    private _account?;
    private _change?;
    private _created?;
    private _defaultOrgId?;
    private _details;
    private _groupContexts;
    private _groups;
    private _orgIds;
    private _owner?;
    private _person;
    private _userId;
    private _username;
    constructor(user: User);
    get key(): ChainKey;
    set key(value: ChainKey);
    get info(): Info;
    set info(value: Info);
    get account(): Account;
    set account(value: Account);
    get change(): Change;
    set change(value: Change);
    get created(): Change;
    set created(value: Change);
    get defaultOrgId(): string;
    set defaultOrgId(value: string);
    get details(): {
        [p: string]: object;
    };
    set details(value: {
        [p: string]: object;
    });
    get groupContexts(): GroupContext[];
    set groupContexts(value: GroupContext[]);
    get groups(): string[];
    set groups(value: string[]);
    get orgIds(): string[];
    set orgIds(value: string[]);
    get owner(): Owner;
    set owner(value: Owner);
    get person(): Person;
    set person(value: Person);
    get userId(): string;
    set userId(value: string);
    get username(): string;
    set username(value: string);
    equals(other: UserInfo): boolean;
    toJSON<T = this>(): User;
}
